<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [peek](./bitburner.ns.peek.md)

## NS.peek() method

Get a copy of the data from a port without popping it.

<b>Signature:</b>

```typescript
peek(port: number): any;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  port | number | Port to peek. Must be an integer between 1 and 20. |

<b>Returns:</b>

any

Data in the specified port.

## Remarks

RAM cost: 0 GB

This function is used to peek at the data from a port. It returns the first element in the specified port without removing that element. If the port is empty, the string “NULL PORT DATA” will be returned.

